Bug 65745 - rxvt doesn't start under zh_CN.GB2312 and zh_CN.GB18030 locales
rxvt doesn't start under zh_CN.GB2312 and zh_CN.GB18030 locales
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rxvt (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-30 22:08 EDT by Yu Shao
Modified: 2007-04-18 12:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-30 22:08:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
miniChinput patch (see additional comments) (577 bytes, patch)
2002-11-18 00:09 EST, Need Real Name
no flags Details | Diff

  None (edit)
Description Yu Shao 2002-05-30 22:08:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
rxvt doesn't start under zh_CN.GB2312 and zh_CN.GB18030 locales

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.set the locale as zh_CN.GB2312 or zh_CN.GB18030
2.type in rxvt

	

Actual Results:  Segmentation fault
rxvt: could not obtain control of tty
XIO:  fatal IO error 9 (Bad file descriptor) on X server ":0.0"
      after 203 requests (200 known processed) with 29 events remaining.

Expected Results:  rxvt terminal 

Additional info:
Comment 1 Harald Hoyer 2002-05-31 08:27:23 EDT
[harald@faro rpm]$ LANG=zh_CN.GB2312 rxvt
[harald@faro rpm]$ LANG=zh_CN.GB18030 rxvt

no problem

[harald@faro rpm]$ rpm -q rxvt
rxvt-2.7.8-3
[harald@faro rpm]$ rpm -q XFree86
XFree86-4.2.0-8
Comment 2 Need Real Name 2002-11-18 00:09:25 EST
Created attachment 85384 [details]
miniChinput patch (see additional comments)
Comment 3 Need Real Name 2002-11-18 00:11:12 EST
This problem is related to miniChinput. I have attached a patch
which seems to solve the problem, but I don't know if it
breaks other locales.


Note You need to log in before you can comment on or make changes to this bug.